import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class Phaser here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Phaser extends Ship_Stuff
{
    public Enemy enemy;
    private boolean created;
    private int damageP;

    public Phaser(int damageP)
    {
        this.damageP = damageP;
    }

    public void act() 
    {
        move( ((Space1)getWorld()).getVoyager().speed+8 );

        Enemy enemy = (Enemy) getOneIntersectingObject(Enemy.class);
        if (enemy!= null)
        {
            getWorld().addObject( new phaserExplosion(), getX(), getY());
            enemy.healthLevel = enemy.healthLevel+damageP;
            Greenfoot.playSound("ExplosionDamage.wav");
            getWorld().addObject(new debrisSmall(), getX(), getY());
            getWorld().removeObject(this);
            return;
        }
        
        BorgCube cube = (BorgCube) getOneIntersectingObject(BorgCube.class);
        if (cube!= null)
        {
            getWorld().addObject( new phaserExplosion(), getX(), getY());
            cube.damageOfCube = cube.damageOfCube+damageP;
            Greenfoot.playSound("ExplosionDamage.wav");
            getWorld().addObject(new debrisSmall(), getX(), getY());
            getWorld().removeObject(this);
            return;
        }

        if (getX() < 75)
        {
            getWorld().removeObject(this);
        }
        else
        {
            if (getY() < 67)
            {
                getWorld().removeObject(this);
            }
            else
            {
                if (getY() > 465)
                {
                    getWorld().removeObject(this);
                }
                else 
                {
                    if( getX() == 899 ) {
                        getWorld().removeObject(this);
                    }
                }
            }
        }
    }  
}
