import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class BorgCube here.
 * 
 * @author Jacob Moss
 * @version 1.0
 */
public class BorgCube extends Ship_Stuff
{
    public int borgSpeed = 1;
    public int damageOfCube = 0;
    private boolean disabled = false;
    /**
     * Act - do whatever the BorgCube wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(-borgSpeed);
        checkCollision();
        checkDamage();
    }   

    private void checkCollision()
    {
        if (getX() < 115)
        {
            getWorld().removeObject(this);
        }
        else
        {
            if (getY() < 97)
            {
                getWorld().removeObject(this);
            }
            else
            {
                if (getY() > 460)
                {
                    getWorld().removeObject(this);
                }
                else {
                    if( !disabled) {
                        if( Greenfoot.getRandomNumber(100) <= 4 ) {
                            enemyPulse pulse = new enemyPulse();
                            getWorld().addObject( pulse, getX(), getY());
                            pulse.setRotation( Greenfoot.getRandomNumber(360) );
                        }
                        if( Greenfoot.getRandomNumber(100) <=1 ) {
                            enemyTorpedo torp = new enemyTorpedo();
                            getWorld().addObject( torp, getX(), getY() );
                            torp.setRotation( Greenfoot.getRandomNumber(360) );
                        }
                    }
                }
            }
        }
    }

    private void checkDamage()
    {
        if( damageOfCube > 800 ) {
            addDebris();
            getWorld().addObject( new TorpedoPack(), getX(), getY());
            ((Space1)getWorld()).getVoyager().dilithiumStore = ((Space1)getWorld()).getVoyager().dilithiumStore+50;
            ((Space1)getWorld()).getVoyager().counterDilithiumStore.setValue(((Space1)getWorld()).getVoyager().dilithiumStore);
            getWorld().removeObject(this);
        }
    }

    private void addDebris()
    {
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
        getWorld().addObject( new debrisOfCube(), getX(), getY() );
    }
}
